Skip to main content
PUT
/
vacancies
/
{id}
Update job
curl --request PUT \
  --url https://api.gospott.com/vacancies/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "companyId": "<string>",
  "description": "<string>",
  "employmentType": "fullTime",
  "locationType": "remote",
  "location": {
    "type": "primary_home",
    "street1": "<string>",
    "street2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "region": "<string>",
    "state": "<string>",
    "country": "<string>",
    "latitude": 123,
    "longitude": 123
  },
  "salaryRange": {
    "currency": "USD",
    "min": 123,
    "max": 123
  },
  "startAt": "2023-11-07T05:31:56Z",
  "endAt": "2023-11-07T05:31:56Z",
  "teamUserIds": [
    "<string>"
  ],
  "clientContactIds": [
    "<string>"
  ],
  "stageId": "<string>",
  "name": "<string>",
  "scorecard": [
    {
      "group_name": "<string>",
      "attributes": [
        {
          "attribute": "<string>"
        }
      ]
    }
  ],
  "dealValue": {
    "amount": 10000,
    "currency": "EUR"
  },
  "targetCompanyId": "<string>"
}
'

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Body

application/json
companyId
string

ID of the company this job belongs to

description
string | null

Detailed description of the job position

employmentType
enum<string> | null

Type of employment contract

Available options:
fullTime,
partTime,
temporary,
internship,
permanent,
fixedTermContract,
interimOrTemporary
locationType
enum<string> | null

Work location arrangement

Available options:
remote,
hybrid,
onsite
location
object

Physical location details for the job

salaryRange
object

Salary range for the job position

startAt
string<date-time> | null

Expected start date for the job

endAt
string<date-time> | null

Expected end date for the job (for temporary positions)

teamUserIds
string[]

Array of user IDs assigned to the internal hiring team

clientContactIds
string[]

Array of company contact IDs involved in the hiring process

stageId
string

ID of the pipeline stage for this job

name
string

Title/name of the job position

scorecard
object[]

Scorecard configuration for evaluating candidates

dealValue
object

Monetary value/fee associated with filling this job

targetCompanyId
string | null

ID of the target company (must be a client in the tenant). Set to null to clear.

Response

Job updated successfully